# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "bsql-macros"
version = "0.26.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Proc macros for bsql — compile-time safe SQL for Rust"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/smir-ant/bsql"

[features]
chrono = []
decimal = []
default = []
explain = []
sqlite = [
    "dep:bsql-driver-sqlite",
    "dep:libsqlite3-sys",
]
sqlite-bundled = [
    "sqlite",
    "bsql-driver-sqlite/bundled",
    "libsqlite3-sys/bundled",
]
sqlite-system = [
    "sqlite",
    "bsql-driver-sqlite/system",
]
time = []
tls = ["bsql-driver-postgres/tls"]
uuid = []

[lib]
name = "bsql_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.bitcode]
version = "0.6.9"
features = ["derive"]

[dependencies.bsql-core]
version = "0.26.1"

[dependencies.bsql-driver-postgres]
version = "0.26.1"

[dependencies.bsql-driver-sqlite]
version = "0.26.1"
optional = true

[dependencies.libsqlite3-sys]
version = "0.30"
optional = true

[dependencies.log]
version = "0.4"
default-features = false

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.smallvec]
version = "1"
default-features = false

[dependencies.syn]
version = "2.0.117"
features = [
    "full",
    "parsing",
    "printing",
]
default-features = false

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.tempfile]
version = "3"
